Subject: Re: bug#19048: Frame height decreases at Emacs start

From: martin rudalics <[email-masked]>
Date: Tue, 18 Nov 2014 08:51:38 +0100

>> OK.  But you didn't answer my earlier questions:
 >
 > I DID! See:
 >
 > http://lists.gnu.org/archive/html/bug-gnu-emacs/2014-11/msg00792.html

Sorry, my bad.  That message must have got drowned by the GIT postings.

Quoting from that URL now:

 > Always with a minimal init.el, I have
 >
 > M-: (tool-bar-height nil t)
 > 36 (#o44, #x24, ?$)
 >
 > M-: (tool-bar-height)
 > 3 (#o3, #x3, ?\C-c)
 >
 >
 > M-: (frame-parameter nil 'tool-bar-lines)
 > 3 (#o3, #x3, ?\C-c)

That's fine.  I was confused because your first attachment (the one
containing desktop, desktop-00, desktop-01 and desktop-03) had a two
lines tool bar for each saved desktop and I wasn't able to reconcile
that with the frame dumps you sent later.  You apparently used a larger
font in your earlier posting.

I'll now look into why that change

 > And this commit (just one minute lather the previous):
 >
 > author    Martin Rudalics 2014-11-07 10:49:22 (GMT)
 > download    emacs-1c50b3adb636addc4244942e8f0e33b1e557ec07.tar.gz
 >
 > Improve inhibiting of implied frame resizes.

may have caused the problems you see.  What is the value of
`frame-inhibit-implied-resize' on your system?

BTW, has

 > I flagged a similar issue on OSX which has been fixed:
 >
 > http://lists.gnu.org/archive/html/bug-gnu-emacs/2014-11/msg00582.html
 >
 > I don't know if this could be useful also for you...

been fixed for good now?  Did that issue appear at the same time as
bug#19048?

martin